@import 'reset';

body {
    height: 100vh;
    display: flex;
}

header {
    position: absolute;
    top: 0px;
    height: 50px;
    width: 100%;
    background-color: rgba(0, 128, 128, 0.5);
    z-index: 10;
    display: flex;

}


main {
    height: 100vh;
    display: flex;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.container {
    margin: 0px 30px;
}

.center {
    text-align: center;
}

label,
h1,
p {
    font-family: sans-serif;
    color: #b2b2b2;
}

input,
textarea {
    font-family: sans-serif;
    color: #727272;
    padding-left: 20px;
}

.marg-top {
    margin-top: 20px;
}

#sidebar {
    padding: 20px;
    position: absolute;


    height: 100%;
    right: 0px;


    h1 {
        text-align: center;


        font-size: 25px;
        padding: 40px 30px;
    }

    .form-separator {
        height: 50px;
        border-top: solid 1px #b2b2b2;
    }


}

input {
    height: 30px;
}

input,
textarea {
    background-color: #fff;
    border-radius: 10px;
    margin-top: 20px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 8px;
}

textarea {
    resize: vertical;
    width: 100%;
}

#form {
    background-color: #f5f5f5;
    border-radius: 20px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    height: 100%;
}

#main-map {

    height: 100%;
    flex-grow: 1;
}

button {

    box-shadow: inset 0px 1px 0px 0px #ffffff;
    background: linear-gradient(to bottom, #ededed 5%, #dfdfdf 100%);
    background-color: #ededed;
    border-radius: 6px;
    border: 1px solid #dcdcdc;
    display: inline-block;
    cursor: pointer;
    color: #b2b2b2;
    font-family: Arial;
    font-size: 15px;
    font-weight: bold;
    padding: 6px 24px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #ffffff;
}

button:hover {
    background: linear-gradient(to bottom, #dfdfdf 5%, #ededed 100%);
    background-color: #dfdfdf;
}

button:active {
    position: relative;
    top: 1px;

}

.error {
    color: rgb(189, 75, 75);
}

.info {
    position: absolute;
    background-color: teal;
    top: 0px;
    right: 0px;
    transform: translate(calc(50% - 13px), -100%);
    padding: 10px;
    border-radius: 10px;
    animation: fadein 200ms;
    will-change: inherit;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    z-index: 20;


    @keyframes fadein {
        from {
            opacity: 0;
        }

        to {
            opacity: 1;
        }
    }

    p {
        color: #fff;
    }
}

.mapboxgl-marker {
    cursor: pointer;
}

.separator {
    margin-top: 10px;
    height: 10px;
    border-top: solid 1px #ffffff;
}

.modale {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 30px;
    border-radius: 30px;
    background-color: teal;

    p {
        color: #ffffff;
    }
}

.overlay {
    height: 100vh;
    width: 100vw;
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.5);
}

.supr {
    background: crimson;
    color: #ffffff;
}